Subject: Domestic Custody Agreement with Chase
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 31 Oct 2000 04:45:00 -0800 (PST)

Sara,

After speaking to at least 2 other lawyers, I hope I'm speaking to the right 
person re. the Domestic Custody Agreement with Chase Manhatten Bank. I 
understand that you were awaiting comments from NA Finance before sending 
your comments back to Chase. After having reviewed the doc. there are no 
additional comments to add from us. 

We are looking at getting the agreement executed within the next 10 days,  to 
allow us to then start rehypothecating securities to third parties as soon as 
possible thereafter.

If there are any issues outstanding that may delay execution, I would be 
grateful if we could discuss these at your earliest convenience. Please call 
on  x 53284.

Many thanks,

Soma